{% extends "customers/service_detail.html" %}
{% load i18n %}
{% load staticfiles %}
{% load active_tag %}
{% load widget_tweaks %}

{% block title %}Crear Documento de Servicio{% endblock %}

{% block pagelevelcss %}
  <link rel="stylesheet" type="text/css" href="{% static 'theme/plugins/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css' %}">
{% endblock %}

{% block page %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item">{{ customer.rut }}</li>
    <li class="breadcrumb-item"><a href="{% add_active request 'service-network-update' %}">Red</a></li>
    <li class="breadcrumb-item active">Documentos</li>
  </ol>
  <!-- end breadcrumb -->

   <!-- begin page-header -->
   <h1 class="page-header">Editar datos de red del <small>#{{ service.number }} - {{ customer.name }}</small></h1>
   <!-- end page-header -->
   <ul class="nav nav-pills mb-2">
    <li class="nav-item {% add_active request 'service-detail' %}">
      <a href="{% url 'service-detail' slug=service.pk %}"class="nav-link">
        <span class="d-sm-none">General</span>
        <span class="d-sm-block d-none">General</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-network-detail' %}">
      <a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link">
        <span class="d-sm-none">Red</span>
        <span class="d-sm-block d-none">Red</span>
      </a>
    </li>
    <!--
    <li class="nav-item {% add_active request 'service-calls' %}">
      <a href="{% url 'service-calls' slug=service.slug %}" class="nav-link">
        <span class="d-sm-none">Registro de Llamadas</span>
        <span class="d-sm-block d-none">Registro de Llamadas</span>
      </a>
    </li>
    -->
    <li class="nav-item {% add_active request 'service-gallery' %}">
      <a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
        <span class="d-sm-none">Galería</span>
        <span class="d-sm-block d-none">Galería</span>
      </a>
    </li>
    <li class="nav-item">
      <a href="#" class="nav-link active">
        <span class="d-sm-none">Documentos</span>
        <span class="d-sm-block d-none">Documentos</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-extras' %}">
      <a href="{% url 'service-extras' slug=service.slug %}" class="nav-link">
        <span class="d-sm-none">Prefacturación</span>
        <span class="d-sm-block d-none">Prefacturación</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-promotions' %}">
      <a href="{% url 'service-promotions' service.slug %}" class="nav-link">
          <span class="d-sm-none">Promociones</span>
          <span class="d-sm-block d-none">Promociones</span>
      </a>
  </li>
    <li class="nav-item {% add_active request 'service-plan-orders' %}">
      <a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link">
        <span class="d-sm-none">Orden de Servicio</span>
        <span class="d-sm-block d-none">Orden de Servicio</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-billing' %}">
        <a href="{% url 'service-billing' service.slug %}" class="nav-link">
          <span class="d-sm-none">Estado de Cuenta servicio</span>
          <span class="d-sm-block d-none">Estado de Cuenta servicio</span>
        </a>
      </li> 
    <li class="nav-item {% add_active request 'invoice-list' %}">
      <a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
        <span class="d-sm-none">Estado de Cuenta cliente</span>
        <span class="d-sm-block d-none">Estado de Cuenta cliente</span>
      </a>
    </li>     
  </ul>


  <!-- begin row -->
<div class="row">
  <!-- begin col-12 -->
  <div class="col-xl-12 ui-sortable">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="ui-general-1">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Documentos</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
            <form id="service-form" class="form-horizontal" method="post">
	      {% csrf_token %}
	      {{ form.media }}
              <div class="tab-content">
                <div id="network" role="tabpanel" class="tab-pane active">
		  {% for field in form %}
                  <div class="form-group row m-b-15">
                    <label for="{{ field.auto_id }}" class="col-form-label col-md-3">{{ field.label }}</label>
                    <div class="col-sm-9">
		      {% render_field field class="form-control m-b-5" %}
  		      {% for error in field.errors %}
            <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
		  {% endfor %}
                </div>
              </div>
                <input type="submit" value="Generar documento" class="btn btn-primary">
                <a href="{% url 'service-documents' slug=service.slug %}" class="btn btn-default">Cancelar</a>  
            </form>
          </div>
          <!-- end panel-body -->
        </div>
        <!-- end panel -->
      </div>
    </div>
    <!-- end row -->
  
    <!-- begin scroll to top btn -->
    <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
    <!-- end scroll to top btn -->
  
  {% endblock %}
